/* TASKICON.H */
/* s.metrot@cryo-interactive.com */

#ifndef __TASKICON_H__
#define __TASKICON_H__


int IniTaskIcon(mmachine m);

int _CRtaskIcon (mmachine m);
int _CRtaskIcon2 (mmachine m);
int _SETtaskIconText (mmachine m);
int _SETtaskIconImage (mmachine m);
int _SETtaskIconImage2 (mmachine m);
int _DStaskIcon (mmachine m);

int _CBtaskIconClick (mmachine m);
int _CBtaskIconDClick (mmachine m);
int _CBtaskIconUClick (mmachine m);
int _CBtaskIconMove (mmachine m);

int _SETtaskIconMenu(mmachine m);

int DestroyTaskIcon(mmachine m,int handsys);
int TaskIconEvent(mmachine m,HWND hwnd,int msg,UINT wParam, LONG lParam,int *ret);

#endif